org.optaplanner.core.config.heuristic.selector.move.generic

## Class SwapMoveSelectorConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.heuristic.selector.SelectorConfig<C>
    - - org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig<SwapMoveSelectorConfig>
      - - org.optaplanner.core.config.heuristic.selector.move.generic.SwapMoveSelectorConfig

-     public class SwapMoveSelectorConfig
      extends MoveSelectorConfig<SwapMoveSelectorConfig>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `cacheType, filterClassList, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwapMoveSelectorConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MoveSelector` | `buildBaseMoveSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, boolean randomSelection)`
    `protected MoveSelectorConfig` | `buildUnfoldedMoveSelectorConfig(Collection<EntityDescriptor> entityDescriptors)`
    `protected MoveSelectorConfig` | `buildUnfoldedMoveSelectorConfig(HeuristicConfigPolicy configPolicy)`
    `SwapMoveSelectorConfig` | `copyConfig()` Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `EntitySelectorConfig` | `getEntitySelectorConfig()`
    `EntitySelectorConfig` | `getSecondaryEntitySelectorConfig()`
    `List<String>` | `getVariableNameIncludeList()`
    `SwapMoveSelectorConfig` | `inherit(SwapMoveSelectorConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
    `void` | `setSecondaryEntitySelectorConfig(EntitySelectorConfig secondaryEntitySelectorConfig)`
    `void` | `setVariableNameIncludeList(List<String> variableNameIncludeList)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `buildMoveSelector, determineBaseRandomSelection, extractLeafMoveSelectorConfigsIntoList, getCacheType, getFilterClassList, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inheritFolded, isBaseInherentlyCached, setCacheType, setFilterClassList, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass, withCacheType, withFilterClassList, withFixedProbabilityWeight, withProbabilityWeightFactoryClass, withSelectedCountLimit, withSelectionOrder, withSorterClass, withSorterComparatorClass, withSorterOrder, withSorterWeightFactoryClass`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig

      `validateCacheTypeVersusSelectionOrder`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SwapMoveSelectorConfig

          public SwapMoveSelectorConfig()

  - ### Method Detail

    - #### getEntitySelectorConfig

          public EntitySelectorConfig getEntitySelectorConfig()

    - #### setEntitySelectorConfig

          public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

    - #### getSecondaryEntitySelectorConfig

          public EntitySelectorConfig getSecondaryEntitySelectorConfig()

    - #### setSecondaryEntitySelectorConfig

          public void setSecondaryEntitySelectorConfig(EntitySelectorConfig secondaryEntitySelectorConfig)

    - #### getVariableNameIncludeList

          public List<String> getVariableNameIncludeList()

    - #### setVariableNameIncludeList

          public void setVariableNameIncludeList(List<String> variableNameIncludeList)

    - #### buildBaseMoveSelector

          public MoveSelector buildBaseMoveSelector(HeuristicConfigPolicy configPolicy,
                                                    SelectionCacheType minimumCacheType,
                                                    boolean randomSelection)

      Specified by:
        `buildBaseMoveSelector` in class `MoveSelectorConfig<SwapMoveSelectorConfig>`
      Parameters:
        `configPolicy` - never null
        `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
        `randomSelection` - true is equivalent to `SelectionOrder.RANDOM`, false is equivalent to `SelectionOrder.ORIGINAL`
      Returns:
        never null

    - #### buildUnfoldedMoveSelectorConfig

          protected MoveSelectorConfig buildUnfoldedMoveSelectorConfig(HeuristicConfigPolicy configPolicy)

      Overrides:
        `buildUnfoldedMoveSelectorConfig` in class `MoveSelectorConfig<SwapMoveSelectorConfig>`
      Parameters:
        `configPolicy` - never null
      Returns:
        null if no unfolding is needed

    - #### buildUnfoldedMoveSelectorConfig

          protected MoveSelectorConfig buildUnfoldedMoveSelectorConfig(Collection<EntityDescriptor> entityDescriptors)

    - #### inherit

          public SwapMoveSelectorConfig inherit(SwapMoveSelectorConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `MoveSelectorConfig<SwapMoveSelectorConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public SwapMoveSelectorConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<SwapMoveSelectorConfig>`
      Returns:
        new instance

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<SwapMoveSelectorConfig>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.